<html layout:decorate="~{layout/main}"
      th:with="pageTitle=#{pageTitle.viewOccurrence(${occurrence.title})}">

<th:block layout:fragment="js-view">
    <script src="/js/occurrence/view.js"></script>
</th:block>

<th:block layout:fragment="css-view">
    <link rel="stylesheet" href="/css/occurrence/view.css"/>
</th:block>

<div layout:fragment="content">
    <div class="container">

        <div class="alert alert-info mt-3"
             th:if="${occurrence.occurrenceStatus.description == T(felipe.emerim.crimespot.enums.OccurrenceStatusEnum).WAITING_ANALYSIS}">
            <i class="icon fas fa-info"></i> <span th:text="#{occurrence.view.waitingReview}"></span>
        </div>

        <div class="alert alert-info mt-3"
             th:if="${occurrence.occurrenceStatus.description == T(felipe.emerim.crimespot.enums.OccurrenceStatusEnum).IN_ANALYSIS}">
            <i class="icon fas fa-info"></i> <span th:text="#{occurrence.view.underReview}"></span>
        </div>

        <th:block th:insert="occurrence/fragments/view :: viewOccurrence"
                  th:with="viewOccurrence=${occurrence}, controls=true">
        </th:block>

        <th:block th:insert="address/fragments/view :: viewAddress" th:with="viewAddress=${occurrence.address}">
        </th:block>

        <th:block th:if="${isInReviewByUser}">
            <div class="card">
                <div class="card-header">
                    <span class="card-title" th:text="#{occurrence.moderation.title}"></span>
                </div>

                <div class="card-body">
                    <th:block th:if="${isInReviewByUser}" th:insert="occurrence/fragments/view :: reviewForm">
                    </th:block>
                </div>
            </div>
        </th:block>

        <th:block th:insert="occurrence/fragments/view :: occurrenceReports" th:with="reports=${reports}, viewOccurrence=${occurrence}">
        </th:block>
    </div>

    <th:block th:insert="occurrence/fragments/view :: revokeApprovalModal">
    </th:block>

    <th:block th:insert="occurrence/fragments/view :: deactivateOccurrenceModal">
    </th:block>

    <th:block th:if="${isInReviewByUser}" th:insert="occurrence/fragments/view :: approveOccurrenceModal">
    </th:block>

    <th:block th:if="${isInReviewByUser}" th:insert="occurrence/fragments/view :: rejectOccurrenceModal">
    </th:block>

    <th:block th:if="${isModerator}" th:insert="occurrence/fragments/view :: startReviewModal">
    </th:block>

    <th:block th:if="${isOwner}" th:insert="occurrence/fragments/view :: removeDocumentModal">
    </th:block>

    <th:block th:if="${hasPendingReportByUser}" th:insert="occurrence/fragments/view :: acceptOccurrenceReportsModal">
    </th:block>

    <th:block th:if="${hasPendingReportByUser}" th:insert="occurrence/fragments/view :: rejectOccurrenceReportsModal">
    </th:block>

</div>
